List sub-custodians
curl --request GET \
--url https://api.portalhq.io/api/v3/resellers/custodians \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/resellers/custodians"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/resellers/custodians', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custodians": [
{
"id": "custodian_123",
"name": "Acme Payments",
"slug": "acme-payments",
"billingStatus": "ACTIVE",
"isReseller": false,
"resellerParentId": "reseller_custodian_123",
"sessionTokensEnabled": true,
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z",
"billingPlan": {
"name": "Start-Up"
},
"environments": [
{
"id": "env_prod_123",
"name": "Production",
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z"
}
],
"users": [
{
"id": "user_123",
"email": "admin@acmepayments.com",
"firstName": "Avery",
"lastName": "Stone",
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z"
}
],
"apiKeys": [
{
"id": "api_key_123",
"custodianId": "custodian_123",
"environmentId": "env_prod_123",
"name": "Production API key",
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z"
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Sub-Custodians
List sub-custodians
Lists sub-custodians owned by the authenticated reseller. Each custodian includes environments, users, billing plan, billing status, and Portal API key metadata.
GET
/
resellers
/
custodians
List sub-custodians
Was this page helpful?
⌘I